Bug 177023 - CRM 724200: when an active USB serial port device is removed, the system panics and locks up.
CRM 724200: when an active USB serial port device is removed, the system pani...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks: 168426
  Show dependency treegraph
 
Reported: 2006-01-05 08:45 EST by Issue Tracker
Modified: 2013-01-10 16:42 EST (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:58:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Candidate #1 - pl2303_write and serial_write() (4.08 KB, patch)
2006-01-10 01:20 EST, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Issue Tracker 2006-01-05 08:45:05 EST
Escalated to Bugzilla from IssueTracker
Comment 11 Pete Zaitcev 2006-01-10 01:20:24 EST
Created attachment 122987 [details]
Candidate #1 - pl2303_write and serial_write()

This is the small patch as requested. I know that we still have
some issues in usbserial with this patch applied. This addresses the narrow
problem only.

Also, pl2303 has to use common write methods. I guarantee that customer
will step on a hang sooner or later, if they transfer large enough amount
of data through the adapter.
Comment 17 Ernie Petrides 2006-01-20 18:42:05 EST
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-39.EL).
Comment 20 Red Hat Bugzilla 2006-03-15 11:58:25 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.